Subject: bug#24082: 25.1; vc-dir for CVS repositories list all files as if from toplevel directory

From: Dmitry Gutov <[email-masked]>
Date: Sat, 15 Oct 2016 15:36:17 +0300

On 14.10.2016 23:33, Jérémie Courrèges-Anglas wrote:

> The problem is elsewhere, I'll see if I can debug this in the next days.

Thanks.

> In the meantime, maybe a conservative approach would be better?

Considering it introduces a feature regression (no unregistered and 
ignored files in the listing) at least with some clients, I'm not sure 
it's best.

And since it your case the problem is only of visual nature (diffs and 
navigation work all right, IIUC), the proposed more complex patch seems 
desirable.